Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(7252)

Unified Diff: build/install-build-deps.sh

Issue 14718016: install-build-deps: Install libudev1 for Ubuntu 13.04 (Closed) Base URL: https://chromium.googlesource.com/chromium/src.git@master
Patch Set: use apt-cache instead of lsb_release Created 7 years, 7 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: build/install-build-deps.sh
diff --git a/build/install-build-deps.sh b/build/install-build-deps.sh
index 3df811a90c4ae7a4ac62d490836e77e6651da5c7..756186d49dee1630bbe0b9da5866545d7b792e7e 100755
--- a/build/install-build-deps.sh
+++ b/build/install-build-deps.sh
@@ -42,7 +42,7 @@ do
done
ubuntu_versions="10\.04|10\.10|11\.04|11\.10|12\.04|12\.10|13\.04"
-ubuntu_codenames="lucid|maverick|natty|oneiric|precise|quantal"
+ubuntu_codenames="lucid|maverick|natty|oneiric|precise|quantal|raring"
ubuntu_issue="Ubuntu ($ubuntu_versions|$ubuntu_codenames)"
# GCEL is an Ubuntu-derived VM image used on Google Compute Engine; /etc/issue
# doesn't contain a version number so just trust that the user knows what
@@ -51,7 +51,7 @@ gcel_issue="^GCEL"
if [ 0 -eq "${do_unsupported-0}" ] ; then
if ! egrep -q "($ubuntu_issue|$gcel_issue)" /etc/issue; then
- echo "ERROR: Only Ubuntu 10.04 (lucid) through 12.10 (quantal) are"\
+ echo "ERROR: Only Ubuntu 10.04 (lucid) through 13.04 (raring) are"\
"currently supported" >&2
exit 1
fi
@@ -100,7 +100,7 @@ chromeos_lib_list="libpulse0 libbz2-1.0 libcurl4-gnutls-dev"
lib_list="libatk1.0-0 libc6 libasound2 libcairo2 libcups2 libexpat1
libfontconfig1 libfreetype6 libglib2.0-0 libgnome-keyring0
libgtk2.0-0 libpam0g libpango1.0-0 libpci3 libpcre3 libpixman-1-0
- libpng12-0 libspeechd2 libstdc++6 libsqlite3-0 libudev0 libx11-6
+ libpng12-0 libspeechd2 libstdc++6 libsqlite3-0 libx11-6
libxau6 libxcb1 libxcomposite1 libxcursor1 libxdamage1 libxdmcp6
libxext6 libxfixes3 libxi6 libxinerama1 libxrandr2 libxrender1
libxtst6 zlib1g $chromeos_lib_list"
@@ -136,10 +136,16 @@ else
lib_list="${lib_list} libnspr4-0d libnss3-1d"
fi
if apt-cache show libjpeg-dev >/dev/null 2>&1; then
- dev_list="${dev_list} libjpeg-dev"
+ dev_list="${dev_list} libjpeg-dev"
else
- dev_list="${dev_list} libjpeg62-dev"
+ dev_list="${dev_list} libjpeg62-dev"
fi
+if apt-cache show libudev1 >/dev/null 2>&1; then
+ dev_list="${dev_list} libudev1"
+else
+ dev_list="${dev_list} libudev0"
+fi
+
# Some packages are only needed, if the distribution actually supports
# installing them.
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698